1. Properties
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patters
    • Support and technical support
  • CRM
    • Properties
      • List properties
        GET
      • Properties
        GET
      • Customers
        POST
      • Companies
        POST
      • Work addresses
        POST
      • Customers
        PATCH
      • Companies
        PATCH
      • Work addresses
        PATCH
      • Properties
        DELETE
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
  • Sales
    • Opportunities
      • List opportunities
      • Opportunities
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Actions
      • Put on hold
      • Mark as free of charge
      • Mark as aborted
      • Change job stage
      • Mark as complete
      • Remove on hold
  • Settings
    • List titles
      GET
    • List customer types
      GET
    • List advertising types
      GET
    • List telephone types
      GET
    • List business units
      GET
    • List user groups
      GET
    • List opportunity pipelines
      GET
    • List opportunity stages
      GET
    • List provinces
      GET
    • List job description templates
      GET
  • Webhooks
    • Webhooks
    • Example PHP script
    • Webhooks
    • Webhooks
  1. Properties

Customers

Developing
PATCH
/customers/{propertyID}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢204Success
Headers

This response does not have a body.
🟠429429 Too many requests
🟠400400 Bad request
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/customers/5938' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "status": "Active",
    "contact": {
        "title": "Mr",
        "firstName": "Bret test",
        "lastName": "Hintz PP",
        "telephone": "700.403.7658",
        "mobile": "(710) 12345",
        "email": "PP@yahoo.com"
    },
    "addressLine1": "619 W Main",
    "addressLine2": "Suite 106",
    "addressLine3": "velit cupidatat cillum",
    "town": "West Markstead",
    "provinceID": 14,
    "postcode": "87241-5785",
    "accountingSystemReference": "4bbf695b-1444-4a9e-a048-1bcebdd52ca9f4",
    "vacant": "Yes",
    "advertisingID": 1,
    "buildingTypeID": 1,
    "priceBookID": 2,
    "creditorsDayID": 1177590517554616,
    "hasAfterSalesCareBeenTurnedOn": true
}'
Response Response Example
429 - Example 1
{
    "error": {
        "code": "string",
        "message": "string",
        "details": {
            "reason": "string",
            "retryAfterSeconds": 0,
            "resetAt": "string"
        }
    }
}
Modified at 2026-07-02 10:31:00
Previous
Work addresses
Next
Companies
Built with